Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Class GammaDistImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.random.GammaDistImpl

public class GammaDistImpl
extends BaseImpl
implements DoubleDistribution, DoubleDistributionS, GammaDistS, GammaDist

Gamma distribution. A well-known continuous probability distribution returning doubles

Constructor Summary
`GammaDistImpl()`
`GammaDistImpl(Zone aZone)` The createWithDefaults method creates a distribution object with a default set of seeds and parameters, and its own private generator.
`GammaDistImpl(Zone aZone, SimpleRandomGenerator simpleGenerator)` Use this create message if the generator to be attached is a Simple one:
`GammaDistImpl(Zone aZone, SimpleRandomGenerator simpleGenerator, double alpha, double beta)` Use this create message if the generator to be attached is a Simple one:
`GammaDistImpl(Zone aZone, SplitRandomGenerator splitGenerator, int vGen)` Use this create message if the generator to be attached is a Split one:
`GammaDistImpl(Zone aZone, SplitRandomGenerator splitGenerator, int vGen, double alpha, double beta)` Use this create message if the generator to be attached is a Split one:

Methods implemented by this class for interface swarm.random.DoubleDistribution
`getDoubleSample`

Methods implemented by this class for interface swarm.random.GammaDistS
`setAlpha$setBeta`

Methods implemented by this class for interface swarm.random.GammaDist
`getAlpha, getBeta, getSampleWithAlpha$withBeta`

Methods implemented by this class for interface swarm.random.ProbabilityDistribution
`getCurrentCount, getGenerator, getOptionsInitialized, getVirtualGenerator`

Methods implemented by this class for interface swarm.random.ProbabilityDistributionS
`reset, setGenerator, setGenerator$setVirtualGenerator`

Methods implemented by this class for interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods implemented by this class for interface swarm.random.InternalState
`getMagic, getStateSize`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GammaDistImpl

    public GammaDistImpl()

### GammaDistImpl

    public GammaDistImpl(Zone aZone,
                         SplitRandomGenerator splitGenerator,
                         int vGen,
                         double alpha,
                         double beta)

  Use this create message if the generator to be attached is a Split one:

### GammaDistImpl

    public GammaDistImpl(Zone aZone,
                         SimpleRandomGenerator simpleGenerator,
                         double alpha,
                         double beta)

  Use this create message if the generator to be attached is a Simple one:

### GammaDistImpl

    public GammaDistImpl(Zone aZone,
                         SimpleRandomGenerator simpleGenerator)

  Use this create message if the generator to be attached is a Simple one:

### GammaDistImpl

    public GammaDistImpl(Zone aZone,
                         SplitRandomGenerator splitGenerator,
                         int vGen)

  Use this create message if the generator to be attached is a Split one:

### GammaDistImpl

    public GammaDistImpl(Zone aZone)

  The createWithDefaults method creates a distribution object with a default set of seeds and parameters, and its own private generator.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD